Bug 19914 - Cannot locate the "Delete" in the library list table
Summary: Cannot locate the "Delete" in the library list table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19560
Blocks: 19243
  Show dependency treegraph
 
Reported: 2018-01-04 13:23 UTC by Jonathan Druart
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19914: Add an id to the Delete button on the library list view (1.40 KB, patch)
2018-01-04 13:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19914: Add an id to the Delete button on the library list view (1.45 KB, patch)
2018-01-04 14:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19914: Add an id to the Delete button on the library list view (1.51 KB, patch)
2018-01-08 17:02 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-01-04 13:23:39 UTC
On the library list table, a link (href=/cgi-bin/koha/admin/branches.pl?op=delete_confirm&branchcode=[% library.branchcode %]") has been replaced with a button (on bug 19560).

On bug 19243 (Selenium tests) we need an easy way to locate this button, so we should add an id to this element.
Comment 1 Jonathan Druart 2018-01-04 13:29:07 UTC
Created attachment 70267 [details] [review]
Bug 19914: Add an id to the Delete button on the library list view

To ease selenium tests, see bug 19243.
Comment 2 Owen Leonard 2018-01-04 14:42:07 UTC
Created attachment 70273 [details] [review]
Bug 19914: Add an id to the Delete button on the library list view

To ease selenium tests, see bug 19243.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Nick Clemens 2018-01-08 17:02:59 UTC
Created attachment 70329 [details] [review]
Bug 19914: Add an id to the Delete button on the library list view

To ease selenium tests, see bug 19243.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2018-01-08 17:03:23 UTC
I added a space for readability
Comment 5 Jonathan Druart 2018-01-09 12:55:32 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-01-15 16:48:18 UTC
Awesome work all, pushed to stable for 17.11.02
Comment 7 Fridolin SOMERS 2018-01-25 09:56:16 UTC
Pushed to 17.05.x for v17.05.09